#include "Arduino.h"
#include <DidacticEnc.h>

DidacticEncSymetric symEncrypt;

void setup()
{
    Serial.begin(9600);

    char cypherText1[MAX_LEN_CYPHERTEXT] = {0};
    char cypherText2[MAX_LEN_CYPHERTEXT] = {0};

    char plainText1[MAX_LEN_PLAINTEXT] = {0};
    char plainText2[MAX_LEN_PLAINTEXT] = {0};

    char key[] = "12345678";
    Serial.print("Key:\t\t");
    Serial.println(key);

    char text1[] = "Hallo letsgoING";
    char text2[] = "Hello letsgoING";

    Serial.print("Originale:\t");
    Serial.println(text1);
    Serial.println(text2);

    // Verchluesseln
    symEncrypt.encrypt(text1, cypherText1, key);
    symEncrypt.encrypt(text2, cypherText2, key);

    Serial.print("Verschluesselt:\t");
    for (int counter = 0; counter < strlen(cypherText1); counter++)
    {
        Serial.print(cypherText1[counter]); // Ausgabe des ASCII-Zeichens
        Serial.print(" | ");
        Serial.print(cypherText2[counter]); // Ausgabe des ASCII-Zeichens

        Serial.print(" | ");

        Serial.println(cypherText1[counter], DEC); // Ausgabe des Dezimalwertes des ASCII-Zeichens
        Serial.print(" | ");
        Serial.println(cypherText2[counter], DEC); // Ausgabe des Dezimalwertes des ASCII-Zeichens
    }

    // Entschluesseln
    symEncrypt.decrypt(cypherText1, plainText1, key);
    symEncrypt.decrypt(cypherText2, plainText2, key);
    Serial.print("Entschlüsselt:\t");
    Serial.println(plainText1);
    Serial.println(plainText2);
}

void loop()
{
    // put your main code here, to run repeatedly:
}